Summary: A GNU Emacs major mode for editing XSL documents.
name: emacs-xslide
%define version 0.2.b3
Version: %{version}
Release: 2mdk
Requires: emacs
Obsoletes: xslide
Provides: xslide
License: GPL
Source: http://www.menteith.com/xslide/data/xslide-%{version}.tar.bz2
Patch:  xslide-0.2.b3-make.patch.bz2
URL:	http://www.menteith.com/xslide/index.html
Group: Publishing
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArch: noarch
%define xslidedir /%{_prefix}/share/emacs/site-lisp/xslide/

%description
Emacs is an advanced and extensible editor. An Emacs major mode
customizes Emacs for editing particular types of text documents.
The xslide package is an Emacs major mode for editing XSL.

%prep

%setup -n xslide-%{version}
%patch -p1 

%build

make 

cat >> dot_emacs << __ELISP__
(setq load-path (append load-path '("/usr/share/emacs/site-lisp/xslide")))

;; "Used for prefix and colon portion of formatting object elements and
attributes"
(make-face 'xsl-fo-alternate-face)
(set-face-foreground 'xsl-fo-alternate-face "Midnight Blue")

;; "Used for literal result element tags"
(make-face 'xsl-other-element-face)
(set-face-foreground 'xsl-other-element-face "Midnight Blue")

(make-face 'xsl-fo-main-face)
(set-face-foreground 'xsl-other-element-face "Midnight Blue")

__ELISP__

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/%{xslidedir}
mkdir -p $RPM_BUILD_ROOT/etc/emacs/site-start.d/

make
cp *.elc $RPM_BUILD_ROOT/%{xslidedir}
cp dot_emacs $RPM_BUILD_ROOT/etc/emacs/site-start.d/xslide-init.el

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README.TXT changelog.txt
%dir %{xslidedir}
%{xslidedir}/*.elc
/etc/emacs/site-start.d/xslide-init.el

%changelog
* Tue Jan 21 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.2.b3-2mdk
- rebuild for latest emacs

* Fri Jun 28 2002 Camille Begnis <camille@mandrakesoft.com> 0.2.b3-1mdk  
- renamed from "xslide"
